CVC4::ArrayStoreAll Class Reference

`#include <array_store_all.h>`

## Public Member Functions

| ArrayStoreAll (ArrayType type, Expr expr) throw (IllegalArgumentException)
| ~ArrayStoreAll () throw ()
ArrayType | getType () const throw ()
Expr | getExpr () const throw ()
bool | operator== (const ArrayStoreAll &asa) const throw ()
bool | operator!= (const ArrayStoreAll &asa) const throw ()
bool | operator< (const ArrayStoreAll &asa) const throw ()
bool | operator<= (const ArrayStoreAll &asa) const throw ()
bool | operator> (const ArrayStoreAll &asa) const throw ()
bool | operator>= (const ArrayStoreAll &asa) const throw ()

## Detailed Description

Definition at line 35 of file array_store_all.h.

## Constructor & Destructor Documentation

## ArrayStoreAll()

CVC4::ArrayStoreAll::ArrayStoreAll | ( | ArrayType | type,
|  | Expr | expr )
throw | ( | IllegalArgumentException ) |  |  |

inline

Definition at line 41 of file array_store_all.h.

References CVC4::CheckArgument().

## ~ArrayStoreAll()

CVC4::ArrayStoreAll::~ArrayStoreAll | ( |  | ) |
throw | ( | ) |  |  |

inline

Definition at line 53 of file array_store_all.h.

## Member Function Documentation

## getExpr()

Expr CVC4::ArrayStoreAll::getExpr | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 59 of file array_store_all.h.

Referenced by CVC4::ArrayStoreAllHashFunction::operator()().

## getType()

ArrayType CVC4::ArrayStoreAll::getType | ( |  | ) | const
throw | ( | ) |  |  |

inline

Definition at line 56 of file array_store_all.h.

Referenced by CVC4::ArrayStoreAllHashFunction::operator()().

## operator!=()

bool CVC4::ArrayStoreAll::operator!= | ( | const ArrayStoreAll & | asa | ) | const
throw | ( | ) |  |  |

inline

Definition at line 66 of file array_store_all.h.

## operator<()

bool CVC4::ArrayStoreAll::operator< | ( | const ArrayStoreAll & | asa | ) | const
throw | ( | ) |  |  |

inline

Definition at line 70 of file array_store_all.h.

## operator<=()

bool CVC4::ArrayStoreAll::operator<= | ( | const ArrayStoreAll & | asa | ) | const
throw | ( | ) |  |  |

inline

Definition at line 74 of file array_store_all.h.

## operator==()

bool CVC4::ArrayStoreAll::operator== | ( | const ArrayStoreAll & | asa | ) | const
throw | ( | ) |  |  |

inline

Definition at line 63 of file array_store_all.h.

## operator>()

bool CVC4::ArrayStoreAll::operator> | ( | const ArrayStoreAll & | asa | ) | const
throw | ( | ) |  |  |

inline

Definition at line 78 of file array_store_all.h.

## operator>=()

bool CVC4::ArrayStoreAll::operator>= | ( | const ArrayStoreAll & | asa | ) | const
throw | ( | ) |  |  |

inline

Definition at line 81 of file array_store_all.h.

The documentation for this class was generated from the following file:

- src/util/array_store_all.h